<div class="page-padding page-background">
  
    <div class="container-fluid">
      <div class="page-title">
          <p class="text-secondary">Manage Clients</p>
      </div>
    </div>
    <div class="page-body">
        <div class="row margin-bottom-10">
            <div class="col-6">
                <input class="form-control" [(ngModel)]="filterString" (keyup)="list()" placeholder="search by phone number">
            </div>
            <div class="col-6">
                <div class="control-btns float-right">
                    <input type="button" class="btn btn-primary" (click)="openAddModal()" value="Create">
                </div>
            </div>
        </div>
        <table class="table table-bordered table-striped table-hover">
            <thead>
              <tr>
                  <th>Name</th>
                  <th>University</th>
                  <th>Faculty</th>
                  <th>Academic year</th>
                  <th>Student Activities</th>
                  <th>Phone number</th>
                  <th>Email</th>
                  <th class="text-center max-width">Actions</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of listItems">              
                <td>{{item.name}}</td>
                <td>{{getUniversityOf(item.universityId)}}</td>
                <td>{{getFacultyOf(item.facultyId)}}</td>
                <td>{{item.academicyear}}</td>
                <td>
                    <span *ngFor="let id of item.studentActivitiesIds" class="words-series">
                        {{getStudentActivityOf(id)}}
                    </span>
                </td>
                <td>{{item.phone}}</td>
                <td>{{item.mail}}</td>
                <td class="text-center">  
                    <i title="Details" class="fa fa-search clickable margin-right-10"></i>          
                    <i title="Edit" (click)="openEditModal(item.id)" class="fa fa-pencil clickable margin-right-10"></i>
                    <i title="Delete" (click)="delete(item)" class="fa fa-times clickable margin-right-10"></i>
                </td>
              </tr>
            </tbody>
        </table>    
      </div>
  </div>
  